//######################################################
//Author:	Saravana Kumar
//Company:	Digital Deposit Ltd
//Purpose:	Connected System Developer Comp. 2005
//Email:	saravana.kumar@digitaldeposit.co.uk
//######################################################
using System;
using System.Collections.Generic;
using System.Text;

namespace Digitaldeposit.Ssbm.Constants
{
	/// <summary>
	/// All the SQL Table column names are stored in this static class as constants.
	/// </summary>
	static class SqlColumnsConstant
	{
		#region Internal Constants
		//Database
		internal const string Database_IsBrokerEnabled = "is_broker_enabled";
		internal const string Database_IsMasterKeyEncryptedByServer = "is_master_key_encrypted_by_server";
		
		//Queue
		internal const string MessagesInQueue_MessageTypeName = "message_type_name";
		internal const string MessagesInQueue_MessageSequenceNumber = "message_sequence_number";
		internal const string MessagesInQueue_QueueOrder = "queuing_order";
		internal const string MessagesInQueue_ConversationHandle = "conversation_handle";
		internal const string MessagesInQueue_ConversationGroupId = "conversation_group_id";
		internal const string MessagesInQueue_ServiceName = "service_name";
		internal const string MessagesInQueue_ContractName = "service_contract_name";
		internal const string MessagesInQueue_Validation = "validation";
		internal const string MessagesInQueue_Status = "status";
		internal const string MessagesInQueue_MessageBody = "message_body";

		//Transmission Queue
		internal const string MessagesInTransmissionQ_ConversationHandle = "conversation_handle";
		internal const string MessagesInTransmissionQ_ToServiceName = "to_service_name";
		internal const string MessagesInTransmissionQ_ToBrokeInstance = "to_broker_instance";
		internal const string MessagesInTransmissionQ_FromServiceName = "from_service_name";
		internal const string MessagesInTransmissionQ_ServiceContractName = "service_contract_name";
		internal const string MessagesInTransmissionQ_EnqueueTime = "enqueue_time";
		internal const string MessagesInTransmissionQ_MessageSequenceNumber = "message_sequence_number";
		internal const string MessagesInTransmissionQ_MessageTypeName = "message_type_name";
		internal const string MessagesInTransmissionQ_IsConversationError = "is_conversation_error";
		internal const string MessagesInTransmissionQ_IsEndOfDialog = "is_end_of_dialog";
		internal const string MessagesInTransmissionQ_TransmissionStatus = "transmission_status";
		internal const string MessagesInTransmissionQ_MessageBody = "message_body";

		
		//Conversation
		internal const string ConversationHandle = "conversation_handle";
		internal const string ConversationGroupHandle = "conversation_group_id";


		internal const string IsInitiator = "is_initiator";
		internal const string LifeTime = "lifetime";
		internal const string QueueName = "QueueName";
		internal const string ServiceName = "ServiceName";
		internal const string ContractName = "ContractName";
		internal const string StateDescription = "state_desc";

		internal const string SchemaName = "SchemaName";
		internal const string QueueState = "QueueState";
		internal const string TasksWaiting = "TasksWaiting";
		internal const string LastActivatedTime = "LastActivatedTime";
		internal const string LastEmptyRowsetTime = "LastEmptyRowsetTime";
		internal const string TranMessageCount = "TranMessageCount";

		//Activated tasks
		internal const string Monitoring_AT_spid="spid";
		internal const string Monitoring_AT_database_id = "database_id";
		internal const string Monitoring_AT_queue_id = "queue_id";
		internal const string Monitoring_AT_procedure_name = "procedure_name";
		internal const string Monitoring_AT_execute_as = "execute_as";


		//Forwarded Messages
		internal const string Monitoring_FM_conversation_id = "conversation_id";
		internal const string Monitoring_FM_is_initiator = "is_initiator";
		internal const string Monitoring_FM_to_service_name = "to_service_name";
		internal const string Monitoring_FM_to_broker_instance = "to_broker_instance";
		internal const string Monitoring_FM_from_service_name = "from_service_name";
		internal const string Monitoring_FM_from_broker_instance = "from_broker_instance";
		internal const string Monitoring_FM_adjacent_broker_address = "adjacent_broker_address";
		internal const string Monitoring_FM_message_sequence_number = "message_sequence_number";
		internal const string Monitoring_FM_message_fragment_number = "message_fragment_number";
		internal const string Monitoring_FM_hops_remaining = "hops_remaining";
		internal const string Monitoring_FM_time_to_live = "time_to_live";
		internal const string Monitoring_FM_time_consumed = "time_consumed";
		internal const string Monitoring_FM_message_id = "message_id";



		//Broker Connection
		internal const string Monitoring_BC_connection_id = "connection_id";
		internal const string Monitoring_BC_transport_stream_id = "transport_stream_id";
		internal const string Monitoring_BC_state = "state";
		internal const string Monitoring_BC_state_desc = "state_desc";
		internal const string Monitoring_BC_connect_time = "connect_time";
		internal const string Monitoring_BC_login_time = "login_time";
		internal const string Monitoring_BC_authentication_method = "authentication_method";
		internal const string Monitoring_BC_principal_name = "principal_name";
		internal const string Monitoring_BC_remote_user_name = "remote_user_name";
		internal const string Monitoring_BC_last_activity_time = "last_activity_time";
		internal const string Monitoring_BC_is_accept = "is_accept";
		internal const string Monitoring_BC_login_state = "login_state";
		internal const string Monitoring_BC_login_state_desc = "login_state_desc";
		internal const string Monitoring_BC_peer_certificate_id = "peer_certificate_id";
		internal const string Monitoring_BC_encryption_algorithm = "encryption_algorithm";
		internal const string Monitoring_BC_encryption_algorithm_desc = "encryption_algorithm_desc";
		internal const string Monitoring_BC_receives_posted = "receives_posted";
		internal const string Monitoring_BC_is_receive_flow_controlled = "is_receive_flow_controlled";
		internal const string Monitoring_BC_sends_posted = "sends_posted";
		internal const string Monitoring_BC_is_send_flow_controlled = "is_send_flow_controlled";
		internal const string Monitoring_BC_total_bytes_sent = "total_bytes_sent";
		internal const string Monitoring_BC_total_bytes_received = "total_bytes_received";
		internal const string Monitoring_BC_total_fragments_sent = "total_fragments_sent";
		internal const string Monitoring_BC_total_fragments_received = "total_fragments_received";
		internal const string Monitoring_BC_total_sends = "total_sends";
		internal const string Monitoring_BC_total_receives = "total_receives";
		internal const string Monitoring_BC_peer_arbitration_id = "peer_arbitration_id";


		//Queue monitors
		internal const string Monitoring_QM_database_id = "database_id";
		internal const string Monitoring_QM_queue_id = "queue_id";
		internal const string Monitoring_QM_state = "state";
		internal const string Monitoring_QM_last_empty_rowset_time = "last_empty_rowset_time";
		internal const string Monitoring_QM_last_activated_time = "last_activated_time";
		internal const string Monitoring_QM_tasks_waiting = "tasks_waiting";


		#endregion

	}
}
