//######################################################
//Author:	Saravana Kumar
//Company:	Digital Deposit Ltd
//Purpose:	Connected System Developer Comp. 2005
//Email:	saravana.kumar@digitaldeposit.co.uk
//######################################################
using System;
using System.Collections.Generic;
using System.Text;

namespace Digitaldeposit.Ssbm.Constants
{
	/// <summary>
	/// The object explorer design is based on Xml. Developer will work only on the Xml
	/// data, where we have rich set of parsers to work with. A utility Treeview helper 
	/// function will transfor the Xml data into corresponding Treeview. All the constants
	/// defined in the static class are used for constructing the Xml Nodes and Attributes names.
	/// </summary>
	static class XmlNodeAttributeConstants
	{
		#region Internal Constants
		internal const string DISPLAY_NAME = "DN";
		internal const string IMAGEKEY = "ImageKey";
		internal const string SSBTYPE = "SSBType";
		internal const string OWNER = "Owner";
		internal const string NODETYPE = "NodeType";
		internal const string EXPAND_REQUIRED = "ExpandRequired";
		internal const string SECURITY = "Security";
		internal const string RUNTIME = "Runtime";
		internal const string TRANSMISSIONQ = "TransmissionQ";
		internal const string GUID = "Guid";
		internal const string ARTIFACTS = "Artifacts";
		internal const string DEPENDENCY = "Dependency";

		internal const string MONITORING = "Monitoring";
		internal const string MESSAGEFINDER = "MessageFinder";
		internal const string ACTIVATED_TASKS = "ActivatedTasks";
		internal const string FORWARDED_MESSAGES = "ForwardedMessages";
		internal const string BROKER_CONNECTIONS = "BrokerConnections";
		internal const string QUEUE_MONITORS = "QueueMonitors";
	
		internal const string SERVER = "Server";
		internal const string DATABASE = "Database";
	
		#endregion
	}
}
