//######################################################
//Author:	Saravana Kumar
//Company:	Digital Deposit Ltd
//Purpose:	Connected System Developer Comp. 2005
//Email:	saravana.kumar@digitaldeposit.co.uk
//######################################################
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Collections.Specialized;
using System.Xml;
using System.Windows.Forms;

using Microsoft.SqlServer.Management.Smo;
using Microsoft.SqlServer.Management.Smo.Broker;
using Microsoft.SqlServer.Management.Common;
using Microsoft.SqlServer.MessageBox;

using Digitaldeposit.Ssbm.Constants;
using Digitaldeposit.Ssbm.Common.Enums;
using Digitaldeposit.Ssbm.Common;
using Digitaldeposit.Ssbm.Manager;

namespace Digitaldeposit.Ssbm.ObjectMaintenance.UserControls
{
	/// <summary>
	/// Commonform to delete operation on any object (queue, contract, service etc)
	/// </summary>
	public partial class DeleteMaintenance : UserControl
	{
		#region Constructor
		/// <summary>
		/// Commonform to delete operation on any object (queue, contract, service etc)
		/// <param name="commonForm">Instance of CommonForm object, which contains all the relevant information like Server, Database Imagelist etc.</param>
		/// </summary>
		public DeleteMaintenance(Digitaldeposit.Ssbm.ObjectMaintenance.Forms.CommonForm commonForm)
		{

			if (commonForm == null)
				throw new ArgumentException(String.Format(Digitaldeposit.Ssbm.Resources.Exceptions.ObjectMaintenance_InvalidArgument, "Common Form", "ContractMaintenance"));

			InitializeComponent();

			try
			{
				int lvColWidth = (lvSSBObjects.Width / 3) - 10;
				//Set Required Columns
				lvSSBObjects.Columns[0].Text = "Name"; //TODO: Hardcoded
				lvSSBObjects.Columns[0].Width = lvColWidth; //Name
				lvSSBObjects.Columns[1].Text = "Type"; //TODO: Hardcoded
				lvSSBObjects.Columns[1].Width = lvColWidth; //Type
				lvSSBObjects.Columns[2].Text = "Owner"; //TODO: Hardcoded
				lvSSBObjects.Columns[2].Width = lvColWidth; //Owner
				lvSSBObjects.LargeImageList = commonForm.ImageList;
				lvSSBObjects.SmallImageList = commonForm.ImageList;

				//Load the list view with object(s) to delete
				ListViewItem listItem = new ListViewItem(commonForm.InfoNode.Attributes.GetNamedItem(XmlNodeAttributeConstants.DISPLAY_NAME).InnerText);
				listItem.Tag = commonForm.InfoNode;
				listItem.ImageKey = commonForm.InfoNode.Attributes.GetNamedItem(XmlNodeAttributeConstants.IMAGEKEY).InnerText;
				listItem.SubItems.Add(commonForm.InfoNode.Name);
				listItem.SubItems.Add("dbo");//TODO: Hardcoded
				lvSSBObjects.Items.Add(listItem);
			}
			catch (Exception ex)
			{
				ExceptionMessageBox emb = new ExceptionMessageBox(ex);
				emb.Show(this);
			}
		}
		#endregion
	}
}
